---
title: Zone metrics for Apps endpoints - APIs
description: Zone Metrics for Apps endpoints reference
lastUpdated: 09 May 2025
source_url:
  html: https://docs.contentsquare.com/en/api/metrics/zone-metrics-endpoints-apps/
  md: https://docs.contentsquare.com/en/api/metrics/zone-metrics-endpoints-apps/index.md
---

## All zone metrics

GET /v1/metrics/zone/{zoneId}

Returns all zone metrics between two dates

### Query parameters

* #### projectId   integer  

  Required only for an account-level API key. The target project.

* #### startDate   ISO 8601 date string   Required

  Beginning of date range for analysis. Must be a date prior to `endDate`.

  ISO format in UTC (for example "2021-08-13T12:32

  .000Z") or with a time zone offset ("2021-08-13T12:32+02" or "2021-08-13T12:32%2B+02" when encoded in the URL).

* #### endDate   ISO 8601 date string   Required

  End of date range for analysis. Must be a date after `startDate`.

  ISO format in UTC (for example "2021-08-13T12:32

  .000Z") or with a time zone offset ("2021-08-13T12:32+02" or "2021-08-13T12:32%2B+02" when encoded in the URL).

* #### device   string  

  Device filter for analysis.

  Possible values: `all` (default), `desktop`, `mobile`, or `tablet`.

* #### period   string  

  Granularity of the results. Can only be used on a date range larger than one day. It allows you to have data for each day instead of having a combined result.

  Possible values: none (default), `daily`.

* #### segmentIds   integer  

  Filter analysis with Contentsquare segments. Default: All visitors.\
  You can specify multiple segments separated by commas to retrieve the metrics for the intersection of the specified segments

### Path parameters

* #### zoneId   integer   Required

  The ID of the Zone.

### Example of response

```json
{
  "payload": {
    "values": [
      {
        "startDate": "2021-07-16T00:00:00.000Z",
        "endDate": "2021-07-22T00:00:00.000Z",
        "value": 16.953225338691635,
        "name": "avgTransactionAfterTap",
        "device": "mobile",
        "currency": "EUR"
      },
      {
        "startDate": "2021-07-16T00:00:00.000Z",
        "endDate": "2021-07-22T00:00:00.000Z",
        "value": 0.11907269940804448,
        "name": "dragFlickRate",
        "device": "mobile",
        "currency": "EUR"
      },
      {
        "startDate": "2021-07-16T00:00:00.000Z",
        "endDate": "2021-07-22T00:00:00.000Z",
        "value": 1.0633130962705983,
        "name": "dragFlickRecurrence",
        "device": "mobile",
        "currency": "EUR"
      },
      {
        "startDate": "2021-07-16T00:00:00.000Z",
        "endDate": "2021-07-22T00:00:00.000Z",
        "value": 7.6946619277745105,
        "name": "revenuePerTap",
        "device": "mobile",
        "currency": "EUR"
      },
      {
        "startDate": "2021-07-16T00:00:00.000Z",
        "endDate": "2021-07-22T00:00:00.000Z",
        "value": 12.096980737693068,
        "name": "tapRate",
        "device": "mobile",
        "currency": "EUR"
      },
      {
        "startDate": "2021-07-16T00:00:00.000Z",
        "endDate": "2021-07-22T00:00:00.000Z",
        "value": 1.0165105816266422,
        "name": "tapRecurrence",
        "device": "mobile",
        "currency": "EUR"
      },
      {
        "startDate": "2021-07-16T00:00:00.000Z",
        "endDate": "2021-07-22T00:00:00.000Z",
        "value": 4.493400932241734,
        "name": "timeBeforeFirstTap",
        "device": "mobile",
        "currency": "EUR"
      },
      {
        "startDate": "2021-07-16T00:00:00.000Z",
        "endDate": "2021-07-22T00:00:00.000Z",
        "value": 902791.6,
        "name": "totalRevenueWithTap",
        "device": "mobile",
        "currency": "EUR"
      }
    ]
  },
  "success": true
}
```

## Conversion rate per tap

GET /v1/metrics/zone/{zoneId}/conversion-rate-per-tap

Of users that tapped on the zone, the percentage that also completed the selected goal during the same session.

### Query parameters

* #### projectId   integer  

  Required only for an account-level API key. The target project.

* #### startDate   ISO 8601 date string   Required

  Beginning of date range for analysis. Must be a date prior to `endDate`.

  ISO format in UTC (for example "2021-08-13T12:32

  .000Z") or with a time zone offset ("2021-08-13T12:32+02" or "2021-08-13T12:32%2B+02" when encoded in the URL).

* #### endDate   ISO 8601 date string   Required

  End of date range for analysis. Must be a date after `startDate`.

  ISO format in UTC (for example "2021-08-13T12:32

  .000Z") or with a time zone offset ("2021-08-13T12:32+02" or "2021-08-13T12:32%2B+02" when encoded in the URL).

* #### device   string  

  Device filter for analysis.

  Possible values: `all` (default), `desktop`, `mobile`, or `tablet`.

* #### period   string  

  Granularity of the results. Can only be used on a date range larger than one day. It allows you to have data for each day instead of having a combined result.

  Possible values: none (default), `daily`.

* #### segmentIds   integer  

  Filter analysis with Contentsquare segments. Default: All visitors.\
  You can specify multiple segments separated by commas to retrieve the metrics for the intersection of the specified segments

* #### goalId   integer  

  To return conversion metrics for a non-ecommerce goal.

### Path parameters

* #### zoneId   integer   Required

  The ID of the Zone.

### Example of response

```json
{
  "payload": {
    "values": [
      {
        "startDate": "2021-07-16T00:00:00.000Z",
        "endDate": "2021-07-22T00:00:00.000Z",
        "value": 16.953225338691635,
        "name": "avgConversionAfterTap",
        "device": "mobile",
        "currency": "EUR"
      }
    ]
  },
  "success": true
}
```

## Revenue

GET /v1/metrics/zone/{zoneId}/revenue

Total revenue generated by users who clicked on the zone.

### Query parameters

* #### projectId   integer  

  Required only for an account-level API key. The target project.

* #### startDate   ISO 8601 date string   Required

  Beginning of date range for analysis. Must be a date prior to `endDate`.

  ISO format in UTC (for example "2021-08-13T12:32

  .000Z") or with a time zone offset ("2021-08-13T12:32+02" or "2021-08-13T12:32%2B+02" when encoded in the URL).

* #### endDate   ISO 8601 date string   Required

  End of date range for analysis. Must be a date after `startDate`.

  ISO format in UTC (for example "2021-08-13T12:32

  .000Z") or with a time zone offset ("2021-08-13T12:32+02" or "2021-08-13T12:32%2B+02" when encoded in the URL).

* #### device   string  

  Device filter for analysis.

  Possible values: `all` (default), `desktop`, `mobile`, or `tablet`.

* #### period   string  

  Granularity of the results. Can only be used on a date range larger than one day. It allows you to have data for each day instead of having a combined result.

  Possible values: none (default), `daily`.

* #### segmentIds   integer  

  Filter analysis with Contentsquare segments. Default: All visitors.\
  You can specify multiple segments separated by commas to retrieve the metrics for the intersection of the specified segments

### Path parameters

* #### zoneId   integer   Required

  The ID of the Zone.

### Example of response

```json
{
  "payload": {
    "values": [
      {
        "startDate": "2021-07-16T00:00:00.000Z",
        "endDate": "2021-07-22T00:00:00.000Z",
        "value": 900157.6,
        "name": "totalRevenueWithTap",
        "device": "mobile",
        "currency": "EUR"
      }
    ]
  },
  "success": true
}
```

## Revenue per tap

GET /v1/metrics/zone/{zoneId}/revenue-per-tap

Average revenue per tap generated by users after they tapped on an element.

### Query parameters

* #### projectId   integer  

  Required only for an account-level API key. The target project.

* #### startDate   ISO 8601 date string   Required

  Beginning of date range for analysis. Must be a date prior to `endDate`.

  ISO format in UTC (for example "2021-08-13T12:32

  .000Z") or with a time zone offset ("2021-08-13T12:32+02" or "2021-08-13T12:32%2B+02" when encoded in the URL).

* #### endDate   ISO 8601 date string   Required

  End of date range for analysis. Must be a date after `startDate`.

  ISO format in UTC (for example "2021-08-13T12:32

  .000Z") or with a time zone offset ("2021-08-13T12:32+02" or "2021-08-13T12:32%2B+02" when encoded in the URL).

* #### device   string  

  Device filter for analysis.

  Possible values: `all` (default), `desktop`, `mobile`, or `tablet`.

* #### period   string  

  Granularity of the results. Can only be used on a date range larger than one day. It allows you to have data for each day instead of having a combined result.

  Possible values: none (default), `daily`.

* #### segmentIds   integer  

  Filter analysis with Contentsquare segments. Default: All visitors.\
  You can specify multiple segments separated by commas to retrieve the metrics for the intersection of the specified segments

### Path parameters

* #### zoneId   integer   Required

  The ID of the Zone.

### Example of response

```json
{
  "payload": {
    "values": [
      {
        "startDate": "2021-07-16T00:00:00.000Z",
        "endDate": "2021-07-22T00:00:00.000Z",
        "value": 7.684434465625721,
        "name": "revenuePerTap",
        "device": "mobile",
        "currency": "EUR"
      }
    ]
  },
  "success": true
}
```

## Swipe rate

GET /v1/metrics/zone/{zoneId}/swipe-rate

Percentage of users performing at least one swipe on a zone during a screen display.

### Query parameters

* #### projectId   integer  

  Required only for an account-level API key. The target project.

* #### startDate   ISO 8601 date string   Required

  Beginning of date range for analysis. Must be a date prior to `endDate`.

  ISO format in UTC (for example "2021-08-13T12:32

  .000Z") or with a time zone offset ("2021-08-13T12:32+02" or "2021-08-13T12:32%2B+02" when encoded in the URL).

* #### endDate   ISO 8601 date string   Required

  End of date range for analysis. Must be a date after `startDate`.

  ISO format in UTC (for example "2021-08-13T12:32

  .000Z") or with a time zone offset ("2021-08-13T12:32+02" or "2021-08-13T12:32%2B+02" when encoded in the URL).

* #### device   string  

  Device filter for analysis.

  Possible values: `all` (default), `desktop`, `mobile`, or `tablet`.

* #### period   string  

  Granularity of the results. Can only be used on a date range larger than one day. It allows you to have data for each day instead of having a combined result.

  Possible values: none (default), `daily`.

* #### segmentIds   integer  

  Filter analysis with Contentsquare segments. Default: All visitors.\
  You can specify multiple segments separated by commas to retrieve the metrics for the intersection of the specified segments

### Path parameters

* #### zoneId   integer   Required

  The ID of the Zone.

### Example of response

```json
{
  "payload": {
    "values": [
      {
        "startDate": "2021-07-16T00:00:00.000Z",
        "endDate": "2021-07-22T00:00:00.000Z",
        "value": 0.6463799007761929,
        "name": "dragFlickRate",
        "device": "mobile",
        "currency": "EUR"
      }
    ]
  },
  "success": true
}
```

## Swipe recurrence

GET /v1/metrics/zone/{zoneId}/swipe-recurrence

Average number of times an element was swiped when engaged with during a screenview.

### Query parameters

* #### projectId   integer  

  Required only for an account-level API key. The target project.

* #### startDate   ISO 8601 date string   Required

  Beginning of date range for analysis. Must be a date prior to `endDate`.

  ISO format in UTC (for example "2021-08-13T12:32

  .000Z") or with a time zone offset ("2021-08-13T12:32+02" or "2021-08-13T12:32%2B+02" when encoded in the URL).

* #### endDate   ISO 8601 date string   Required

  End of date range for analysis. Must be a date after `startDate`.

  ISO format in UTC (for example "2021-08-13T12:32

  .000Z") or with a time zone offset ("2021-08-13T12:32+02" or "2021-08-13T12:32%2B+02" when encoded in the URL).

* #### device   string  

  Device filter for analysis.

  Possible values: `all` (default), `desktop`, `mobile`, or `tablet`.

* #### period   string  

  Granularity of the results. Can only be used on a date range larger than one day. It allows you to have data for each day instead of having a combined result.

  Possible values: none (default), `daily`.

* #### segmentIds   integer  

  Filter analysis with Contentsquare segments. Default: All visitors.\
  You can specify multiple segments separated by commas to retrieve the metrics for the intersection of the specified segments

### Path parameters

* #### zoneId   integer   Required

  The ID of the Zone.

### Example of response

```json
{
  "payload": {
    "values": [
      {
        "startDate": "2021-07-16T00:00:00.000Z",
        "endDate": "2021-07-22T00:00:00.000Z",
        "value": 1.0633130962705983,
        "name": "dragFlickRecurrence",
        "device": "mobile",
        "currency": "EUR"
      }
    ]
  },
  "success": true
}
```

## Tap rate

GET /v1/metrics/zone/{zoneId}/tap-rate

Percentage of users that tapped on the zone at least once.

### Query parameters

* #### projectId   integer  

  Required only for an account-level API key. The target project.

* #### startDate   ISO 8601 date string   Required

  Beginning of date range for analysis. Must be a date prior to `endDate`.

  ISO format in UTC (for example "2021-08-13T12:32

  .000Z") or with a time zone offset ("2021-08-13T12:32+02" or "2021-08-13T12:32%2B+02" when encoded in the URL).

* #### endDate   ISO 8601 date string   Required

  End of date range for analysis. Must be a date after `startDate`.

  ISO format in UTC (for example "2021-08-13T12:32

  .000Z") or with a time zone offset ("2021-08-13T12:32+02" or "2021-08-13T12:32%2B+02" when encoded in the URL).

* #### device   string  

  Device filter for analysis.

  Possible values: `all` (default), `desktop`, `mobile`, or `tablet`.

* #### period   string  

  Granularity of the results. Can only be used on a date range larger than one day. It allows you to have data for each day instead of having a combined result.

  Possible values: none (default), `daily`.

* #### segmentIds   integer  

  Filter analysis with Contentsquare segments. Default: All visitors.\
  You can specify multiple segments separated by commas to retrieve the metrics for the intersection of the specified segments

### Path parameters

* #### zoneId   integer   Required

  The ID of the Zone.

### Example of response

```json
{
  "payload": {
    "values": [
      {
        "startDate": "2021-07-16T00:00:00.000Z",
        "endDate": "2021-07-22T00:00:00.000Z",
        "value": 12.096980737693068,
        "name": "tapRate",
        "device": "mobile",
        "currency": "EUR"
      }
    ]
  },
  "success": true
}
```

## Tap recurrence

GET /v1/metrics/zone/{zoneId}/tap-recurrence

Average number of times an element was tapped when engaged with during a screenview.

### Query parameters

* #### projectId   integer  

  Required only for an account-level API key. The target project.

* #### startDate   ISO 8601 date string   Required

  Beginning of date range for analysis. Must be a date prior to `endDate`.

  ISO format in UTC (for example "2021-08-13T12:32

  .000Z") or with a time zone offset ("2021-08-13T12:32+02" or "2021-08-13T12:32%2B+02" when encoded in the URL).

* #### endDate   ISO 8601 date string   Required

  End of date range for analysis. Must be a date after `startDate`.

  ISO format in UTC (for example "2021-08-13T12:32

  .000Z") or with a time zone offset ("2021-08-13T12:32+02" or "2021-08-13T12:32%2B+02" when encoded in the URL).

* #### device   string  

  Device filter for analysis.

  Possible values: `all` (default), `desktop`, `mobile`, or `tablet`.

* #### period   string  

  Granularity of the results. Can only be used on a date range larger than one day. It allows you to have data for each day instead of having a combined result.

  Possible values: none (default), `daily`.

* #### segmentIds   integer  

  Filter analysis with Contentsquare segments. Default: All visitors.\
  You can specify multiple segments separated by commas to retrieve the metrics for the intersection of the specified segments

### Path parameters

* #### zoneId   integer   Required

  The ID of the Zone.

### Example of response

```json
{
  "payload": {
    "values": [
      {
        "startDate": "2021-07-16T00:00:00.000Z",
        "endDate": "2021-07-22T00:00:00.000Z",
        "value": 1.0165105816266422,
        "name": "tapRecurrence",
        "device": "mobile",
        "currency": "EUR"
      }
    ]
  },
  "success": true
}
```

## Time before first tap

GET /v1/metrics/zone/{zoneId}/time-before-first-tap

Number of seconds between screen load and first tap on an element.

### Query parameters

* #### projectId   integer  

  Required only for an account-level API key. The target project.

* #### startDate   ISO 8601 date string   Required

  Beginning of date range for analysis. Must be a date prior to `endDate`.

  ISO format in UTC (for example "2021-08-13T12:32

  .000Z") or with a time zone offset ("2021-08-13T12:32+02" or "2021-08-13T12:32%2B+02" when encoded in the URL).

* #### endDate   ISO 8601 date string   Required

  End of date range for analysis. Must be a date after `startDate`.

  ISO format in UTC (for example "2021-08-13T12:32

  .000Z") or with a time zone offset ("2021-08-13T12:32+02" or "2021-08-13T12:32%2B+02" when encoded in the URL).

* #### device   string  

  Device filter for analysis.

  Possible values: `all` (default), `desktop`, `mobile`, or `tablet`.

* #### period   string  

  Granularity of the results. Can only be used on a date range larger than one day. It allows you to have data for each day instead of having a combined result.

  Possible values: none (default), `daily`.

* #### segmentIds   integer  

  Filter analysis with Contentsquare segments. Default: All visitors.\
  You can specify multiple segments separated by commas to retrieve the metrics for the intersection of the specified segments

### Path parameters

* #### zoneId   integer   Required

  The ID of the Zone.

### Example of response

```json
{
  "payload": {
    "values": [
      {
        "startDate": "2021-07-16T00:00:00.000Z",
        "endDate": "2021-07-22T00:00:00.000Z",
        "value": 4.493400932241734,
        "name": "timeBeforeFirstTap",
        "device": "mobile",
        "currency": "EUR"
      }
    ]
  },
  "success": true
}
```
